org.bouncycastle.sasn1.cms

## Class ContentInfoParser

- java.lang.Object
- - org.bouncycastle.sasn1.cms.ContentInfoParser

Deprecated.
use corresponding class in org.bouncycastle.asn1.cms

    public class ContentInfoParser
    extends java.lang.Object

Produce an object suitable for an ASN1OutputStream.

     ContentInfo ::= SEQUENCE {
              contentType ContentType,
              content
              [0] EXPLICIT ANY DEFINED BY contentType OPTIONAL }

### Constructor Summary

Constructors
Constructor and Description
`ContentInfoParser(Asn1Sequence seq)` Deprecated.

### Method Summary

Methods
`Asn1Object` `getContent(int tag)` Deprecated.
`Asn1ObjectIdentifier` `getContentType()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContentInfoParser

    public ContentInfoParser(Asn1Sequence seq)
                      throws java.io.IOException

Deprecated.

Throws:
  `java.io.IOException`

### Method Detail

#### getContentType

    public Asn1ObjectIdentifier getContentType()

Deprecated.

#### getContent

    public Asn1Object getContent(int tag)
                          throws java.io.IOException

Deprecated.

Throws:
  `java.io.IOException`